Imports System.Data.OracleClient
Imports System.Data

Namespace WiseProto

    Public Class DbFunctions2
        Dim myConnection As New OracleConnection(ConfigurationManager.ConnectionStrings("orcl").ConnectionString)
        Dim myCommand As New OracleCommand
        Dim _Transact As OracleTransaction
        Function GetDataReader(ByVal strSQL As String) As OracleDataReader

            Dim myDataReader As OracleDataReader

            If myConnection.State <> Data.ConnectionState.Open Then
                myConnection.Open()
            End If

            myCommand.CommandText = strSQL

            Try
                myCommand.Connection = myConnection
                myDataReader = myCommand.ExecuteReader
                Return myDataReader
            Catch ex As OracleException
                Err.Number = ex.Code
                Err.Description = ex.Message
                Err.Raise(ex.Code)
                Return Nothing
            End Try

        End Function

        Function GetDataSet(ByVal strSQL As String) As DataSet
            Dim myDataApapter As New OracleDataAdapter
            Dim myDataSet As New DataSet

            If myConnection.State <> ConnectionState.Open Then
                myConnection.Open()
            End If

            myCommand.CommandText = strSQL

            Try
                myCommand.Connection = myConnection
                myDataApapter.SelectCommand = myCommand
            Catch ex As OracleException
                Err.Number = ex.Code
                Err.Description = ex.Message
                Err.Raise(ex.Code)
            End Try

            myDataApapter.Fill(myDataSet)

            Return myDataSet

        End Function

        Sub ConnectionClose()
            If myConnection.State <> ConnectionState.Closed Then
                myCommand = Nothing
                myConnection.Close()
                myConnection = Nothing
            End If
        End Sub

        Sub TransactionBegin()

            If myConnection.State <> ConnectionState.Open Then
                myConnection.Open()
            End If
            _Transact = myConnection.BeginTransaction()

            myCommand.Connection = myConnection
            myCommand.Transaction = _Transact
        End Sub

        Sub TransactionCommit()
            _Transact.Commit()
        End Sub

        Sub TransactionRollback()
            If IsNothing(_Transact.Connection) Then
                Exit Sub
            End If
            _Transact.Rollback()
        End Sub

        Sub ExecuteNonQueryWithTransaction(ByVal strSQL As String)
            Try
                myCommand.CommandText = strSQL
                myCommand.ExecuteNonQuery()
            Catch ex As OracleException
                Err.Number = ex.Code
                Err.Description = ex.Message
                Err.Raise(ex.Code)
            End Try
        End Sub

        Sub ExecuteNonQuery(ByVal strSQL As String)
            If myConnection.State <> ConnectionState.Open Then
                myConnection.Open()
            End If

            myCommand.CommandText = strSQL
            Try
                myCommand.Connection = myConnection
                myCommand.ExecuteNonQuery()
            Catch ex As OracleException
                Err.Number = ex.Code
                Err.Description = ex.Message
                Err.Raise(ex.Code)
            End Try
        End Sub

        Function AntiSQLInj(ByVal txtFieldValue As String) As String
            If IsNothing(txtFieldValue) Then
                Return ""
            End If
            If txtFieldValue.GetType.Name = "DBNull" Then
                Return ""
            End If
            txtFieldValue = txtFieldValue.TrimEnd
            AntiSQLInj = txtFieldValue.Replace("'", "''")
        End Function

        Function AntiSQLInj(ByVal txtFieldValue As String, ByVal length As Integer) As String
            txtFieldValue = txtFieldValue.TrimEnd
            AntiSQLInj = Left(txtFieldValue.Replace("'", "''"), length)
        End Function

    End Class


End Namespace
